Subject: Re: Building dll's and executables in same package
From: "Dr. Volker Zell" <[email-masked]>
To: Cygwin List <[email-masked]>
Date: Wed, 18 Feb 2004 13:35:21 +0100

Subject: Re: Building dll's and executables in same package
From: "Dr. Volker Zell" <[email-masked]>
To: Yaakov Selkowitz <[email-masked]>
Cc: [email-masked]
Date: Wed, 18 Feb 2004 08:41:10 +0100

>>>>> "Yaakov" == Yaakov Selkowitz writes:

    Yaakov> OK, here's the story.  I built clamav after the following steps, and
    Yaakov> everything completed without errors, and cygcheck shows the applications
    Yaakov> are linked to cygclamav-1.dll.  But when I try running one of the
    Yaakov> programs that were built, I get a Windows error dialog:

    Yaakov> freshclam.exe - Application Error

    Yaakov> ~  The application failed to initialize properly (0xc0000005).  Click on
    Yaakov> OK to terminate the application.

    Yaakov> This happens by all of the applications, even when I moved
    Yaakov> cygclamav-1.dll into my PATH, and even if I call the programs with
    Yaakov> - --help or --version options.  What's going on now??

It happened to me too sometimes. Check the permissions on the dll's
sometimes they do not have the execute permission. Don't know why so.

    Yaakov> Yaakov

Ciao
  Volker

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/